---
title: 'Chat preferences'
taxonomy:
    category:
        - docs
visible: true
---

To access and manage your Rocket.Chat account on a server, login and **click** on your **profile picture** or **username** and select **My Account**.

Changing an account setting only changes it for the server you are connected to and not all servers you have access to. You will need to configure your account on each server you connect to.

You can manage settings for the following account sections:

## Preferences

### Localization

Set the language to use for the Rocket.Chat user interface.

### Messages

Enable or disable all desktop notifications, test desktop notifications and configure:

- The global notification duration in seconds
- Enter key behaviour
    - Normal mode (send with Enter)
    - Alternative mode (send with Enter + Ctrl/Alt/Shift/CMD)
    - Desktop mode (only sends with enter on desktop)
- View mode
    - Normal: the default spacing between messages
    - Cozy: more space between messages (less on the screen)
    - Compact: less space between messages (more on the screen)
- Offline Email Notifications
    - Disabled
    - Every Mention/DM

and enable or disable the following preferences:

- __Unread Tray Icon Alert__: This will toggle if the tray icon will be highlighted when you have unread messages;
- __Use Emojis: This will toggle emojis in messages__;
- __Convert ASCII to Emoji__: This will toggle emoji conversion when inputting ASCII characters;
- __Auto Load Images__: With this disabled you will have to click on images to preview them;
- __Save Mobile Bandwidth__:
- __Collapse embedded media by default__: This will toggle if messages with files will be collapsed by default;
- __Unread Rooms Mode__: This will create a new section on the channel list with all channels with unread messages;
- __Hide usernames__: This will hide usernames on the channels, showing only the users avatars;
- __Hide roles__: This will hide role tags from users;
- __Hide right side bar with click__: When you click outside of a tab it will automatically close it;
- __Hide Avatars__: This will hide avatars on the channels, showing only the users usernames;
- __Group by Type:__: This will group your channels by type or merge them in a single list;

### Highlights

Specify a comma separated list of words or phrases to trigger notifications for when mentioned by anyone in public or private channels you are a member of.

### Sound

Configure audio notifications used for the following events:

- New Room
- New Message

Available audio notifications:

- None
- Beep
- Chelle
- Ding
- Droplet
- Highbell
- Seasons

## Profile

Verify and edit the following profile information:

- Name
- Username
- Email
- Set a new password

If your email has been verified by the Rocket.Chat server a tick will appear alongside it.

You can also ask to another email verification email to be sent to you from here.

Set or change your avatar for a Rocket.Chat server by clicking on one of the images beside your current avatar. To upload a new avatar select the box with an arrow pointing up.

## Security

Enable or disable Two Factor Authentication (2FA) for your account on a Rocket.Chat server.

When you enable Two Factor Authentication you will be required to get a key code from an app on your phone, thus increasing the security when logging in, as seen that your phone will be required to start a session on the selected Rocket.Chat server.

! Two Factor Authentication can be turned on and off by the system admin, if you can't find this setting, please contact your system admin.

To enable Two Factor Authentication you need to:

- Click the "Enable two-factor authentication" button.

- Using an authenticator app like Google Authenticator, Authy or Duo, scan the QR code. It will display a 6 digit code which you need to enter below.

- Copy your backup code somewhere safe if you need to access it in the future without the authentication app. Click "Send" to finish.

- To disable the "Two-factor authentication" simply click on the red button on the same page.

---

> Source: [Manage your account](https://rocket.chat/docs/user-guides/managing-your-account/)